=== debian/changelog ===
ledgersmb (1.5.21+ds-1) unstable; urgency=medium

  * New series 1.5.x Upstream Release (Closes: #874664)
    + Along with an explicit requirement for liblatex-driver-perl >= 0.300.2,
      resolves the issue with printing to PDF or Postscript. (Closes: #821251)
  * Updated the debian/po/* files using 'debconf-updatepo'.
  * Rewrote the debian/ledgersmb.config file for new upstream.
  * Add '--with systemd' to dh invocation line in debian/rules
  * Adapt the maintainer scripts for the new 1.5.x series upstream.
  * Add a debian/ledgersmb.init and a debian/ledgersmb.default file.
  * Removed debian/adm/apache-vhost.conf as the file itself is now in upstream.
  * Rewrite and/or rename or delete debian/patches/* for new upstream version.
  * Add capability to select setting for Web Proxy to use during installation.
  * Remove debian/ledgersmb.starman-ledgersmb.service as it is now in upstream
    and add installing a patched version of that upstream version.
  * Update the links in 'debian/ledgersmb.links' related to embedded dojo files.
  * Edited the README.Debian file, adding a new introduction at the beginning as
    well as a new section specifically regarding accessing the application via
    a web proxy and otherwise updating it for the new upstream version.
  * Changes in debian/copyright:
    + Update copyright years as necessary for new upstream.
    + Add a stanza for the 'debian/ledgersmb.default' file.
    + Add 'David Godfrey' & 'Nick Prater' to the Core Team in the source stanza.
    + Correct the License entry in the 'debian/*' stanza to 'GPL-2+' and update
      its comment about why that was done.
    + Update 'Files-Excluded' in debian/copyright related to the embedded dojo
      files to reflect the new version 1.5.x series upstream.
  * Changes in debian/control:
    + Include 'liblocale-codes-perl' package as a Depends. (Closes: #903273)
    + Change debhelper Build-Depends from '>= 9' to '>= 9.20160709'.
    + Include as 'Depends': libmoosex-nonmoose-perl, libcgi-emulate-psgi-per',
      libplack-builder-conditionals-perl.
    + Update dojo requirement from libjs-dojo-dojox to libjs-dojo-dijit.
    + Drop explicit 'Depends' on 'liberror-perl' as not being necessary.
    + Drop 'libparse-recdescent-perl' as a Recommends as it is no longer needed.
    + Drop the version being required for the Perl requirement in 'Depends'.
    + Explicitly add 'liblatex-driver-perl (>= 0.300.2)' to Recommends section.
    + Include the PGObject* Perl modules required for the new 1.5.x series
      upstream as Depends: libpgobject-perl, libpgobject-simple-perl,
      libpgobject-simple-role-perl, libpgobject-type-bigfloat-perl,
      libpgobject-type-bytestring-perl, libpgobject-type-datetime-perl,
      libpgobject-util-dbmethod-perl, and libpgobject-util-dbadmin-perl.
  * Changes in debian/templates for new upstream version series:
    + Update the example URL in the admin_login stanza.
    + Update the example URL in the admin_password stanza.
    + Drop the debconf_install stanza but add a lsmb_proxy stanza.

 -- Robert James Clay <jame@rocasa.us>  Thu, 12 Jul 2018 19:38:40 -0400

ledgersmb (1.4.42+ds-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.4.
  * Change the Priority in debian/control from "extra" back to "optional".
  * Correct 'neccessary' as 'necessary' in debian/patches/05_confdir.patch.
  * Change 'Maintainer' to "LedgerSMB Core Team <devel@lists.ledgersmb.org>" in
    debian/control. (Closes: #899564)

 -- Robert James Clay <jame@rocasa.us>  Thu, 31 May 2018 16:52:03 -0400
