## ledgersmb 1.6.5+ds

=== debian/changelog ===
ledgersmb (1.6.5+ds-1) unstable; urgency=medium

  * New series 1.6.x Upstream Release (Closes: #903744)
  * Update the debian/ledgersmb.install for the new upstream version.
  * Redo debian/patches/10_lsmb-config.patch for new upstream version.
  * Redo debian/patches/15_lsmb-service.patch for new upstream version.
  * Declare compliance with Debian Policy 4.2.1, no changes required.
  * Update debian/watch to use the 'download.ledgersmb.org' release site and
    for the new 1.6.x series upstream. (Closes: #868724)
  * Changes in debian/ldgersmb.init:
    + Correct wording of the Short-Description.
    + Correct setting of the WORKING_DIRECTORY parameter.
    + Update the setting of the 'APP' variable for new upstream.
  * Change debian/rules target from 'get-orig-source' to 'get-original-source'
    and update the reference to it in debian/README.source.
  * Replace 'libfile-mimeinfo-perl' with 'libmime-types-perl' in debian/control.
  * Update the 'override_dh_fixperms' target in debian/rules for new upstream.

 -- Robert James Clay <jame@rocasa.us>  Fri, 12 Oct 2018 19:12:01 -0400

ledgersmb (1.5.21+ds-2) unstable; urgency=medium

  * Updated the debconf debian/po/es.po file.
  * Updated the debconf debian/po/ru.po file. (Closes: #904708)
  * Updated the debconf debian/po/cs.po file. (Closes: #905098)
  * Updated the debconf debian/po/da.po file. (Closes: #905893)
  * Updated the debconf debian/po/de.po file. (Closes: #906576)
  * Updated the debconf debian/po/fr.po file. (Closes: #905637)
  * Updated the debconf debian/po/pt_BR.po file. (Closes: #905870)
  * Updated the debconf debian/po/nl.po file. (Closes: #906061)
  * Add/update the debian/po/* information in the debian/copyright file.
  * Declare compliance with Debian Policy 4.2.0, no changes required.

 -- Robert James Clay <jame@rocasa.us>  Fri, 24 Aug 2018 21:57:06 -0400
