=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Robert James Clay <jame@rocasa.us>
 Build-Depends: debhelper (>= 9.20160709),
                po-debconf
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://www.ledgersmb.org/
 Vcs-Git: https://github.com/ledgersmb/pkg-ledgersmb.git
 Vcs-Browser: https://github.com/ledgersmb/pkg-ledgersmb
@@ -23,7 +23,7 @@
          libdatetime-format-strptime-perl,
          libdbd-pg-perl,
          libdbi-perl,
-         libfile-mimeinfo-perl,
+         libhtml-escape-perl,
          libhttp-exception-perl,
          libjs-dojo-dijit,
          libjson-perl,
@@ -32,6 +32,7 @@
          liblog-log4perl-perl,
          libnamespace-autoclean-perl,
          libmime-lite-perl,
+         libmime-types-perl,
          libmoose-perl,
          libmoosex-nonmoose-perl,
          libnumber-format-perl,
@@ -64,7 +65,6 @@
             texlive-latex-recommended
 Suggests: default-mta | mail-transport-agent,
           latex-cjk-all,
-          ledgersmb-1.5-apache | ledgersmb-1.5-nginx,
           libimage-size-perl,
           libopenoffice-oodoc-perl,
           libx12-parser-perl,
