## ledgersmb 1.6.6+ds

=== debian/changelog ===
ledgersmb (1.6.6+ds-1) unstable; urgency=medium

  * New upstream release.
  * In the 12 Oct 2018 stanza of the debian/changelog; correct miss-spelling
    at debian/ledgersmb.init item and add missing items for debian/control
    and debian/rules.
  * Changes in debian/control:
    + Add the 'libversion-compare-perl' package as a Depends.
    + Add the 'libplack-request-withencoding-perl' package as a Depends.
  * Add chmod of the 'utils/devel/ledgersmb-server-development.psgi' file
    to debian/rules.
  * Install all of the upstream 'utils/' directory in debian/ledgersmb.install
    instead of just two subdirectories. (Closes: #911047)

 -- Robert James Clay <jame@rocasa.us>  Sun, 21 Oct 2018 20:12:23 -0400
