=== debian/control ===
--- 
+++ 
@@ -46,8 +46,10 @@
          libpgobject-util-dbadmin-perl,
          libplack-perl,
          libplack-builder-conditionals-perl,
+         libplack-request-withencoding-perl,
          libtemplate-perl (>=2.14-1),
          libtry-tiny-perl,
+         libversion-compare-perl,
          libxml-simple-perl,
          perl,
          postgresql-client,
