## ledgersmb 1.6.8+ds

=== debian/changelog ===
ledgersmb (1.6.8+ds-1) unstable; urgency=medium

  * New upstream release.
  * Updated the debconf debian/po/pl.po file.
  * Updated the debconf debian/po/sv.po file.
  * Updated the debconf debian/po/it.po file. (Closes: #914460)
  * Updated the debconf debian/po/pt.po file. (Closes: #915262)

 -- Robert James Clay <jame@rocasa.us>  Sun, 16 Dec 2018 19:05:05 -0500

ledgersmb (1.6.6+ds-2) unstable; urgency=medium

  * Add a ".proverc" filename to the debian/clean file.
  * Add "cp t/.proverc ./"  to the 'override_dh_auto_configure' target in
    debian/rules.
  * Remove 'override_dh_auto_test' from debian/rules to facilitate the basic
    upstream tests.
  * Changes to debian/control:
    + Remove duplication of 'postgresql' from the Suggests stanza.
    + Derive Build-Depends-Indep from the Depends and Recommends stanzas
      and also include the libtest-bdd-cucumber-perl, libtest-trap-perl,
      libtap-parser-sourcehandler-pgtap-perl, libdbd-mock-perl, and the
      libdbd-mock-perl packages.
    + Add 'lighttpd' & 'varnish' to the Web Proxies in the Recommends stanza.
    + Add 'texlive-latex-recommended' & 'texlive-xetex' to the Build-Depends
      stanza.
    + Add packages libio-stringy-perl, libdata-uuid-perl, libtext-markdown-perl,
      and libplack-middleware-reverseproxy-perl to the Depends stanza.

 -- Robert James Clay <jame@rocasa.us>  Mon, 12 Nov 2018 04:55:42 -0500
