## ledgersmb 1.6.9%2Bds

=== debian/changelog ===
ledgersmb (1.6.9+ds-1) unstable; urgency=medium

  * New upstream release.
  * Declare compliance with Debian Policy 4.3.0, no changes required.
  * Resolve issue with trailing spaces in the debian/changelog file.

 -- Robert James Clay <jame@rocasa.us>  Wed, 26 Dec 2018 20:45:30 -0500
