## ledgersmb 1.6.9+ds

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-DIST_VER=$(shell utils/release/build-id)
+DIST_VER=$(shell utils/install/build-id)
 DIST_DIR=/tmp
 ifeq ($(DIST_VER),travis)
 DIST_DEPS=cached_dojo
@@ -9,7 +9,7 @@
 
 .DEFAULT_GOAL := help
 
-DEB_essential := cpanminus postgresql make libdbd-pg-perl
+DEB_essential := cpanminus postgresql make gcc libdbd-pg-perl
 DEB_essential += starman
 DEB_perlmodules := libcgi-emulate-psgi-perl libcgi-simple-perl libconfig-inifiles-perl
 DEB_perlmodules += libdbd-pg-perl libdbi-perl libdatetime-perl
@@ -26,10 +26,12 @@
 DEB_feature_PDF := texlive-latex-recommended
 DEB_feature_PDF_utf8 := texlive-xetex
 DEB_feature_OpenOffice := libopenoffice-oodoc-perl
+DEB_feature_PGTAP := pgtap
+DEB_feature_XLS :=
 
 # Core packages provided by Fedora 24
 RHEL_essential := perl-devel perl-CPAN perl-App-cpanminus
-RHEL_essential += postgresql make perl-DBD-Pg
+RHEL_essential += postgresql make gcc perl-DBD-Pg
 RHEL_essential += perl-Starman
 RHEL_perlmodules := perl-CGI-Emulate-PSGI perl-CGI-Simple perl-Config-IniFiles
 RHEL_perlmodules += perl-DBD-Pg perl-DBI perl-DateTime perl-DateTime-Format-Strptime
@@ -43,11 +45,13 @@
 RHEL_feature_PDF := perl-TeX-Encode texlive
 RHEL_feature_PDF_utf8 := 
 RHEL_feature_OpenOffice := 
+RHEL_feature_XLS := 
 
 FBSD_essential := 
 FBSD_perlmodules := 
 FBSD_feature_PDF := 
 FBSD_feature_OpenOffice := 
+FBSD_feature_XLS := 
 
 APT_GET = sudo apt-get install
 YUM = sudo yum install
@@ -155,16 +159,20 @@
 OS_feature_PDF        := deb_feature_PDF
 OS_feature_PDF_utf8   := deb_feature_PDF_utf8
 OS_feature_OpenOffice := deb_feature_OpenOffice
+OS_feature_XLS        := deb_feature_XLS
+OS_feature_PGTAP      := deb_feature_PGTAP
 endif
 ifeq ($(OSTYPE),REDHAT)
 OS_feature_PDF        := rhel_feature_PDF
 OS_feature_PDF_utf8   := rhel_feature_PDF_utf8
 OS_feature_OpenOffice := rhel_feature_OpenOffice
+OS_feature_XLS        := rhel_feature_XLS
 endif
 ifeq ($(OSTYPE),FREEBSD)
 OS_feature_PDF        := fbsd_feature_PDF
 OS_feature_PDF_utf8   := fbsd_feature_PDF_utf8
 OS_feature_OpenOffice := fbsd_feature_OpenOffice
+OS_feature_XLS        := fbsd_feature_XLS
 endif
 
 # make help
@@ -177,7 +185,7 @@
   - http://ledgersmb.org/topic/installing-ledgersmb-15
 
 The easiest way to use this makefile to install LedgerSMB is simply to run
-  make all_depndencies
+  make all_dependencies
   make feature_PDF_utf8 # this is optional and is a large additional download
                         # see discussion about XeLaTeX and UTF8 at
                         # http://ledgersmb.org
@@ -211,6 +219,7 @@
 
     - feature_PDF             : Install system and cpan packages for generating PDF/Postscript output
     - feature_PDF_utf8        : Install system and cpan packages for UTF8 ouput in PDF/Postscript output
+    - feature_XLS             : Install system and cpan packages for generating XLS output
     - feature_OpenOffice      : Install system and cpan packages for generating OpenOffice output
 
     #############################################################
@@ -226,12 +235,14 @@
     - deb_feature_PDF         : installs deb packages for generating PDF/Postscript output
     - deb_feature_PDF_utf8    : Installs texlive-xetex to allow UTF8 ouput in PDF/Postscript output
     - deb_feature_OpenOffice  : Installs deb package for generating OpenOffice output
+    - deb_feature_XLS         : Installs deb package for generating XLS output
 
     - rhel_essential          : installs just the "can't do without these" dependencies
     - rhel_perlmodules        : installs all known rpm packaged perl modules we depend on
     - rhel_feature_PDF        : installs rpm packages for generating PDF/Postscript output
     - rhel_feature_PDF_utf8   : Installs texlive-xetex (if available) to allow UTF8 ouput in PDF/Postscript output
     - rhel_feature_OpenOffice : Installs rpm package for generating OpenOffice output
+    - rhel_feature_XLS        : Installs deb package for generating XLS output
 
 
 endef
@@ -261,7 +272,7 @@
 
 
 dojo_archive: dojo
-    #TODO: Protect for concurrent invocations
+	#TODO: Protect for concurrent invocations
 	mkdir -p $(HOMEDIR)
 	touch $(FLAG)
 	tar cf $(TEMP) UI/js
@@ -269,23 +280,3 @@
 	rm $(FLAG)
 
 cached_dojo:
-ifeq ($(wildcard $(ARCHIVE)),)
-	$(MAKE) dojo_archive
-endif
-	tar xf $(ARCHIVE)
-
-
-# make blacklist
-blacklist:
-	perl tools/makeblacklist.pl
-
-# make pod
-#make submodules
-#   Initialises and updates our git submodules
-submodules:
-	git submodule update --init --recursive
-
-# make dist
-#   builds release distribution archive
-dist: $(DIST_DEPS)
-	test -d $(DIST_DIR) || mkdir -p $(DIST_DIR)
