=== debian/changelog ===
ledgersmb (1.6.9+ds-2+deb11u3) bullseye-security; urgency=medium

  * Fix a regression in the display of some search results

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 30 Aug 2021 15:19:14 +0200

ledgersmb (1.6.9+ds-2+deb11u2) bullseye-security; urgency=medium

  * Fix CVE-2021-3731, thanks to Erik Huelsmann

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 22 Aug 2021 20:58:22 +0200

ledgersmb (1.6.9+ds-2+deb11u1) bullseye-security; urgency=medium

  * Fix CVE-2021-3693 and CVE-2021-3694, thanks to Erik Huelsmann

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 19 Aug 2021 21:02:41 +0200

ledgersmb (1.6.9+ds-2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Erik Huelsmann ]
  * Fix Missing old/bin/ directory on 1.6 package (Closes: #981608)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 10 Feb 2021 23:10:53 +0000
