=== debian/control ===
--- 
+++ 
@@ -4,8 +4,58 @@
 Maintainer: LedgerSMB Core Team <devel@lists.ledgersmb.org>
 Uploaders: Robert James Clay <jame@rocasa.us>
 Build-Depends: debhelper (>= 9.20160709),
+               texlive-latex-recommended,
+               texlive-xetex,
                po-debconf
-Standards-Version: 4.2.1
+Build-Depends-Indep: libcgi-emulate-psgi-perl,
+                     libcgi-simple-perl,
+                     libclass-c3-xs-perl,
+                     libconfig-inifiles-perl,
+                     libdata-uuid-perl,
+                     libdatetime-format-strptime-perl,
+                     libdatetime-perl,
+                     libdbd-mock-perl,
+                     libdbi-perl,
+                     libhtml-escape-perl,
+                     libhttp-exception-perl,
+                     libio-stringy-perl,
+                     libjson-perl,
+                     libjson-xs-perl,
+                     liblocale-codes-perl,
+                     liblocale-maketext-lexicon-perl (>= 0.62),
+                     liblog-log4perl-perl,
+                     liblatex-driver-perl (>= 0.300.2),
+                     libmime-lite-perl,
+                     libmime-types-perl,
+                     libmoose-perl,
+                     libmoosex-nonmoose-perl,
+                     libnamespace-autoclean-perl,
+                     libnumber-format-perl,
+                     libpgobject-perl (>= 1.403.2),
+                     libpgobject-simple-perl (>= 3.000002),
+                     libpgobject-simple-role-perl (>= 2.000000),
+                     libpgobject-type-bigfloat-perl,
+                     libpgobject-type-bytestring-perl (>= 1.1.1),
+                     libpgobject-type-datetime-perl,
+                     libpgobject-util-dbmethod-perl,
+                     libpgobject-util-dbadmin-perl,
+                     libplack-perl,
+                     libplack-builder-conditionals-perl,
+                     libplack-middleware-reverseproxy-perl,
+                     libplack-request-withencoding-perl,
+                     libtap-parser-sourcehandler-pgtap-perl,
+                     libtemplate-perl (>=2.14),
+                     libtemplate-plugin-latex-perl (>=3.09),
+                     libtest-bdd-cucumber-perl,
+                     libtest-trap-perl,
+                     libtest-exception-perl,
+                     libtex-encode-perl,
+                     libtext-markdown-perl,
+                     libtry-tiny-perl,
+                     libversion-compare-perl,
+                     libxml-simple-perl,
+                     perl
+Standards-Version: 4.3.0
 Homepage: http://www.ledgersmb.org/
 Vcs-Git: https://github.com/ledgersmb/pkg-ledgersmb.git
 Vcs-Browser: https://github.com/ledgersmb/pkg-ledgersmb
@@ -19,12 +69,14 @@
          libcgi-simple-perl,
          libclass-c3-xs-perl,
          libconfig-inifiles-perl,
+         libdata-uuid-perl,
          libdatetime-perl,
          libdatetime-format-strptime-perl,
          libdbd-pg-perl,
          libdbi-perl,
          libhtml-escape-perl,
          libhttp-exception-perl,
+         libio-stringy-perl,
          libjs-dojo-dijit,
          libjson-perl,
          liblocale-codes-perl,
@@ -46,8 +98,10 @@
          libpgobject-util-dbadmin-perl,
          libplack-perl,
          libplack-builder-conditionals-perl,
+         libplack-middleware-reverseproxy-perl,
          libplack-request-withencoding-perl,
          libtemplate-perl (>=2.14-1),
+         libtext-markdown-perl,
          libtry-tiny-perl,
          libversion-compare-perl,
          libxml-simple-perl,
@@ -58,7 +112,8 @@
          ucf,
          ${misc:Depends},
          ${perl:Depends}
-Recommends: apache2 | nginx-light | nginx-full | nginx-extra,
+Recommends: apache2 | nginx-light | nginx-full | nginx-extra |
+            lighttpd | varnish,
             libjson-xs-perl,
             liblatex-driver-perl (>= 0.300.2),
             libmath-bigint-gmp-perl,
@@ -70,7 +125,6 @@
           libimage-size-perl,
           libopenoffice-oodoc-perl,
           libx12-parser-perl,
-          postgresql,
           lpr,
           postgresql,
           texlive-xetex
