## ledgersmb 1.6.9.3

=== debian/changelog ===
ledgersmb (1.6.9.3-1+dde) unstable; urgency=medium

  * update

 -- LedgerSMB Core Team <devel@lists.ledgersmb.org>  Thu, 21 Oct 2021 15:25:33 +0800

ledgersmb (1.6.9.2-1+dde) unstable; urgency=medium

  * fix CVE-2021-3731 CVE-2021-3694 CVE-2021-3693.
  * add uniontech-CVE-2021-3693.patch uniontech-CVE-2021-3694.patch uniontech-CVE-2021-3731.patch uniontech-CVE-2021-3693-regression.patch from debian

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Wed, 20 Oct 2021 14:07:20 +0800

ledgersmb (1.6.9.1-1+dde) unstable; urgency=medium

  * add-uos-support.patch.
  * 

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Wed, 20 Oct 2021 11:30:06 +0800
