=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Build-Depends: debhelper (>= 9.20160709),
                texlive-latex-recommended,
                texlive-xetex,
-               po-debconf
+               po-debconf,
+               lsb-release
 Build-Depends-Indep: libcgi-emulate-psgi-perl,
                      libcgi-simple-perl,
                      libclass-c3-xs-perl,
