## ledgersmb 1.6.33%2Bds

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,17 @@
 
-DIST_VER=$(shell utils/install/build-id)
+-include Makefile.local
+
+
+DIST_VER=$(shell git rev-parse --short HEAD)
 DIST_DIR=/tmp
 ifeq ($(DIST_VER),travis)
 DIST_DEPS=cached_dojo
 else
 DIST_DEPS=dojo
+endif
+
+ifneq ($(origin CONTAINER),undefined)
+DOCKER_CMD=docker exec -ti $(CONTAINER)
 endif
 
 .DEFAULT_GOAL := help
@@ -273,10 +280,3 @@
 
 dojo_archive: dojo
 	#TODO: Protect for concurrent invocations
-	mkdir -p $(HOMEDIR)
-	touch $(FLAG)
-	tar cf $(TEMP) UI/js
-	mv $(TEMP) $(ARCHIVE)
-	rm $(FLAG)
-
-cached_dojo:
