## ledgersmb 1.6.33+ds

=== debian/changelog ===
ledgersmb (1.6.33+ds-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: No origin check for HTML fragments
    - debian/patches/CVE-2021-3693.patch: Fix regression of errors not
      creating pop-ups
    - CVE-2021-3693
  * SECURITY UPDATE: Missing secure attribute over HTTPS
    - debian/patches/CVE-2021-3882.patch: Use HTTPS environment setting
      to detect https connections
    - CVE-2021-3882
  * SECURITY UPDATE: Privilege escalation
    - debian/patches/CVE-2024-23831.patch: Fix missing CSRF mitigation
    - CVE-2024-23831

 -- John Breton <john.breton@canonical.com>  Tue, 15 Jul 2025 13:28:31 -0400

ledgersmb (1.6.33+ds-1) unstable; urgency=medium

  [Erik Huelsmann]
  * New upstream release.
  * Add myself to Uploaders.

  [ Robert James Clay ]
  * Bump debhelper version from 9.20160709 to 10.
  * Add initial Features list to Long Description in debian/control.
  * Add patching of conf/ledgersmb.conf.default file to 10_lsmb-config.patch.

 -- Erik Hulsmann <erik@gmail.com>  Sat, 22 Jan 2022 19:23:59 +0100

ledgersmb (1.6.9+ds-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload the last security fixes also to unstable.  Closes: #992817

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 01 Sep 2021 20:19:24 +0200
