=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: ledgersmb
 Section: web
 Priority: optional
-Maintainer: LedgerSMB Core Team <devel@lists.ledgersmb.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LedgerSMB Core Team <devel@lists.ledgersmb.org>
 Uploaders: Robert James Clay <jame@rocasa.us>
-Build-Depends: debhelper (>= 9.20160709),
+           Erik Huelsmann <ehuels@gmail.com>
+Build-Depends: debhelper (>= 10),
                texlive-latex-recommended,
                texlive-xetex,
-               po-debconf,
-               lsb-release
+               po-debconf
 Build-Depends-Indep: libcgi-emulate-psgi-perl,
                      libcgi-simple-perl,
                      libclass-c3-xs-perl,
@@ -138,6 +139,17 @@
  the LedgerSMB project is to bring high quality ERP and accounting capabilities
  to Small and Midsize Businesses.
  .
+  Features:
+  - Sales (Invoices, Orders, Quotations)
+  - Receivables & Payables
+  - General ledger
+  - Inventory management
+  - Fixed asset accounting & depreciation
+  - Profit & cost centers, departments, projects
+  - Output documents in PDF, HTML, CSV, and Office formats
+  - Mail documents (e.g. invoices) from within the application
+  - Translatable to your language (comes with 45 languages)
+ .
  The application now defaults to being made available locally on port 5762 and
  being run directly by Starman instead of by Apache. If other access is needed,
  a Reverse Proxy can be configured locally using Apache, Nginx, Lighttpd, or
