=== debian/watch ===
# LedgerSMB debian/watch control file for uscan

# Compulsory line, this is a version 4 file
version=4

# Check against upstream release key. Exclude development snapshots. And only
# include versions from the 1.6.x series.
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ledgersmb-$1\.tar\.gz/, \
pgpsigurlmangle=s/$/.asc/, \
dversionmangle=s/\+ds//, \
repacksuffix=+ds, \
repack,compression=xz, \
uversionmangle=s/^1\.6\.99\d*/0/" \
https://download.ledgersmb.org/f/Releases/(1.6.+)/ledgersmb-([\d\.]*).tar.gz
